MockUtil
Date: 2015-09-18

org.mockito.internal.util

## Class MockUtil

- java.lang.Object
- - org.mockito.internal.util.MockUtil

-     public class MockUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createMock(MockCreationSettings<T> settings)`
    `<T> InternalMockHandler<T>` | `getMockHandler(T mock)`
    `MockName` | `getMockName(java.lang.Object mock)`
    `MockCreationSettings` | `getMockSettings(java.lang.Object mock)`
    `boolean` | `isMock(java.lang.Object mock)`
    `boolean` | `isSpy(java.lang.Object mock)`
    `boolean` | `isTypeMockable(java.lang.Class<?> type)`
    `void` | `maybeRedefineMockName(java.lang.Object mock, java.lang.String newName)`
    `<T> void` | `resetMock(T mock)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockUtil

          public MockUtil()

  - ### Method Detail

    - #### isTypeMockable

          public boolean isTypeMockable(java.lang.Class<?> type)

    - #### createMock

          public <T> T createMock(MockCreationSettings<T> settings)

    - #### resetMock

          public <T> void resetMock(T mock)

    - #### getMockHandler

          public <T> InternalMockHandler<T> getMockHandler(T mock)

    - #### isMock

          public boolean isMock(java.lang.Object mock)

    - #### isSpy

          public boolean isSpy(java.lang.Object mock)

    - #### getMockName

          public MockName getMockName(java.lang.Object mock)

    - #### maybeRedefineMockName

          public void maybeRedefineMockName(java.lang.Object mock,
                                   java.lang.String newName)

    - #### getMockSettings

          public MockCreationSettings getMockSettings(java.lang.Object mock)